# TOrientedBBox3D Class Reference

Inheritance diagram for TOrientedBBox3D:

List of all members.

## Public Member Functions
| TOrientedBBox3D ()
| TOrientedBBox3D (const TBBox3D &box)
| TOrientedBBox3D (const TTransform3D &transform, const TBBox3D &box)
| TOrientedBBox3D (const TTransform3D &transform, const TOrientedBBox3D &orientedBox)
void | Reset ()
void | SetCenter (const TVector3 &center)
void | SetAxis (const int32 index, const TVector3 &axis)
void | SetExtent (const int32 index, const real32 extent)
void | SetExtent (const TVector3 &extent)
const TVector3 & | GetAxis (int32 index) const
const TVector3 & | GetCenter () const
const real | GetExtent (int32 i) const
const TVector3 & | GetExtent () const
TVector3 | operator[] (int32 ii) const
void | Transform (const TTransform3D &transform)
TBBox3D | GetBBox () const
## Protected Attributes
TVector3 | fCenter
TVector3 | fAxis [3]
TVector3 | fExtent

## Constructor & Destructor Documentation

TOrientedBBox3D::TOrientedBBox3D | ( |  | ) |

TOrientedBBox3D::TOrientedBBox3D | ( | const TBBox3D & | box | ) |

TOrientedBBox3D::TOrientedBBox3D | ( | const TTransform3D & | transform,
|  | const TBBox3D & | box |
| ) |  |  |

TOrientedBBox3D::TOrientedBBox3D | ( | const TTransform3D & | transform,
|  | const TOrientedBBox3D & | orientedBox |
| ) |  |  |

## Member Function Documentation

const TVector3& TOrientedBBox3D::GetAxis | ( | int32 | index | ) | const`[inline]`

TBBox3D TOrientedBBox3D::GetBBox | ( |  | ) | const

const TVector3& TOrientedBBox3D::GetCenter | ( |  | ) | const`[inline]`

const TVector3& TOrientedBBox3D::GetExtent | ( |  | ) | const`[inline]`

const real TOrientedBBox3D::GetExtent | ( | int32 | i | ) | const`[inline]`

TVector3 TOrientedBBox3D::operator[] | ( | int32 | ii | ) | const

Returns one of the corners of the box (or its center)

         2_____6      Z
       3/|___7/|      ^
       | |   | |      |-->Y
       |/0---|/4     /
       1_____5      X

Parameters:

  | ii | the corner index. For values between 0 and 7 retruns the point shown in the diagram above.

void TOrientedBBox3D::Reset | ( |  | ) |

void TOrientedBBox3D::SetAxis | ( | const int32 | index,
|  | const TVector3 & | axis |
| ) |  |  | `[inline]`

void TOrientedBBox3D::SetCenter | ( | const TVector3 & | center | ) | `[inline]`

void TOrientedBBox3D::SetExtent | ( | const TVector3 & | extent | ) | `[inline]`

void TOrientedBBox3D::SetExtent | ( | const int32 | index,
|  | const real32 | extent |
| ) |  |  | `[inline]`

void TOrientedBBox3D::Transform | ( | const TTransform3D & | transform | ) |

## Member Data Documentation

TVector3 TOrientedBBox3D::fAxis[3]`[protected]`

TVector3 TOrientedBBox3D::fCenter`[protected]`

TVector3 TOrientedBBox3D::fExtent`[protected]`

The documentation for this class was generated from the following file:

- OrientedBBox.h